# class GxG::Networking::ZMQ::ZmqPublisher

### Public Class Methods

new(params={}) click to toggle source

    # File lib/gxg/gxg_zmq.rb, line 209
    def initialize(params={})
      params = self.vetted_parameters(params)
      @connector = ::EZMQ::Publisher.new(params[:options])
      @connector.socket.identity = ::Celluloid::UUID::random_generate.to_s
      @open = true
      self
    end

### Public Instance Methods

send(message="", topic='', **options) click to toggle source

    # File lib/gxg/gxg_zmq.rb, line 217
    def send(message="", topic='', **options)
      if @open == true
        @connector.send(message.to_s, topic.to_s,options)
      end
    end